#ifndef INFODIALOG_H
#define INFODIALOG_H

#include <gtk/gtk.h>


class InfoDialog
{
	private:
		GtkWidget *dialog;
		GtkWidget *textView;
		GtkTextBuffer *textBuffer;

	public:
		InfoDialog(const char *title);

		void addHeader(const char *header);
		void addText(const char *text);
		void performAction(void);
};

#endif
